package cl.jtv;
/*
 * ComandoDEL.java
 *
 * Created on 26 de febrero de 2003, 10:50 PM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
import java.util.*;


public class ComandoDEL extends Comando {

    /** Creates new ComandoDEL */
    public ComandoDEL(Object newArtefacto, Vector2 newVector2) {
        super(newArtefacto,newVector2);
    }

    public void doIt() {
        //super.doIt();
        Vector comandosIE = new Vector();
        Enumeration en = this.comandos.elements();
        while(en.hasMoreElements()){
            Comando comando = (Comando)en.nextElement();
            if(!(comando instanceof ComandoIE)) 
                comando.doIt();
            else
                comandosIE.add(comando);
        }
        
        /*en = null;
        en = comandosIE.elements();
        while(en.hasMoreElements()){
            Comando comando = (Comando)en.nextElement();
            comando.doIt();           
        }*/
        en = null;
    }
    
}
